> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turboapi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API Product List

> Get API product list, supports filtering by tag type, by default only returns listed products



## OpenAPI

````yaml api/en/api-turbo/openapi.json get /api/product/list
openapi: 3.0.0
info:
  contact: {}
  title: Turbo API
  version: 1.0.0
  description: >-
    Turbo API documentation, providing complete API product management, user
    authentication, order management and other functions
servers:
  - url: https://api.turbo.com
    description: Production
  - url: https://api-dev.turbo.com
    description: Development
security: []
paths:
  /api/product/list:
    get:
      tags:
        - API Products
      summary: Get API Product List
      description: >-
        Get API product list, supports filtering by tag type, by default only
        returns listed products
      parameters:
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
            default: 1
        - name: pageSize
          in: query
          description: Items per page
          required: false
          schema:
            type: integer
            default: 10
        - name: type
          in: query
          description: >-
            API product type tag: 1.api type 2.provider 3.api capability 4.api
            tag
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: API Product List
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/schema.ListAPIProductRep'
components:
  schemas:
    schema.ListAPIProductRep:
      type: object
      properties:
        list:
          type: array
          items:
            $ref: '#/components/schemas/schema.APIProductInfoRep'
        total:
          type: integer
    schema.APIProductInfoRep:
      type: object
      properties:
        abilities:
          description: Abilities
          type: array
          items: f8001a7a-a617-4999-ab53-7876eace0a00
        apiTemplateID:
          description: API Template ID
          type: string
        description:
          description: Introduction
          type: array
          items: 1abaef83-b928-4f89-8afe-8eb7896118ce
        doc:
          description: API Documentation
          type: string
        id:
          description: API ID
          type: string
        labels:
          description: Labels
          type: array
          items: 21a67e30-701e-4380-8d98-b505161b1eb3
        provider:
          description: Provider
          allOf:
            - b5232538-1f86-4813-9673-1edfcc46806e
        slug:
          description: Slug
          type: string
        status:
          description: 'Status: 0.Offline 1.Online'
          type: integer
        type:
          description: Type
          allOf:
            - e20fcd1a-d3ad-4243-8337-ac28e329d956

````